"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setupDefaultConfiguration = setupDefaultConfiguration;
var _getFileUtils = require("../core/eslint/getFileUtils");
var _fileUtils = require("../utils/fileUtils");
var _logger = require("../utils/logger");
var _path = _interopRequireDefault(require("path"));
/**
 * @function setupDefaultConfiguration -  starts initial setup configuration
 * @returns {void}
 */

function setupDefaultConfiguration() {
  const configPath = (0, _getFileUtils.constructConfigPath)();
  const sampleConfigPath = _path.default.join(__dirname, "sampleLint.config.js");
  if ((0, _fileUtils.checkIfFileExists)(configPath) && checkBothConfigurationIsSame(configPath, sampleConfigPath)) {
    _logger.Logger.log(_logger.Logger.INFO_TYPE, `\n configuration file already exist`);
    _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, `\n configuration done .. `);
    process.exit(0);
  }

  // if(!checkIfFileExists(configPath) ){
  //   writeFileContents(configPath,readFileContents(sampleConfigPath))
  //   Logger.log(Logger.SUCCESS_TYPE, `\n configuration done .. `);
  //   return;
  // }

  (0, _fileUtils.writeFileContents)(configPath, (0, _fileUtils.readFileContents)(sampleConfigPath));
  _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, `\n configuration done .. `);
}

/**
 * @function checkBothConfigurationIsSame - check both configuration are same 
 * @param {string} configPath 
 * @param {string} sampleConfigPath 
 * @returns 
 */
function checkBothConfigurationIsSame(configPath, sampleConfigPath) {
  return JSON.stringify(configPath) == JSON.stringify(sampleConfigPath);
}